// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: hopv/CE-0CFA02_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "CE-0CFA02_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int fail_unknown_25_0;
    int f_1034_unknown_23_0;
    int f_1034_unknown_23_1;
    int f_1034_unknown_23_2;
    int f_1034_unknown_23_3;
    int f_1034_unknown_23_4;
    int f_1034_unknown_23_5;
    int f_1034_unknown_23_6;
    int f_1034_unknown_23_7;
    int f_1034_unknown_23_8;
    int f_1034_unknown_23_9;
    int f_1034_unknown_23_10;
    int f_1034_unknown_23_11;
    int f_1034_unknown_23_12;
    int omega_1032_unknown_33_0;
    int omega_1032_unknown_33_1;
    int omega_1032_unknown_33_2;
    int f_1034_unknown_19_0;
    int f_1034_unknown_19_1;
    int f_1034_unknown_19_2;
    int f_1034_unknown_19_3;
    int f_1034_unknown_19_4;
    int f_1034_unknown_19_5;
    int f_1034_unknown_19_6;
    int f_1034_unknown_19_7;
    int f_1034_unknown_19_8;
    int f_1034_unknown_19_9;
    int f_1034_unknown_19_10;
    int f_1034_unknown_19_11;
    int f_1034_unknown_19_12;
    int A_0;
    int B_0;
    int C_0;
    int D_0;
    int E_0;
    int F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    int L_0;
    int M_0;
    int N_0;
    int O_0;
    int P_0;
    int Q_0;
    int R_0;
    int S_0;
    int T_0;
    int U_0;
    int V_0;
    int W_0;
    int A_1;
    int B_1;
    int C_1;
    int D_1;
    int E_1;
    int F_1;
    int G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    int M_1;
    int A_2;
    int B_2;
    int C_2;
    int D_2;
    int E_2;
    int F_2;
    int G_2;
    int H_2;
    int I_2;
    int J_2;
    int K_2;
    int L_2;
    int M_2;
    int N_2;
    int O_2;
    int P_2;
    int Q_2;
    int R_2;
    int S_2;
    int T_2;
    int U_2;
    int V_2;
    int A_3;
    int B_3;
    int C_3;
    int D_3;
    int A_4;

    if (((fail_unknown_25_0 <= -1000000000)
         || (fail_unknown_25_0 >= 1000000000))
        || ((f_1034_unknown_23_0 <= -1000000000)
            || (f_1034_unknown_23_0 >= 1000000000))
        || ((f_1034_unknown_23_1 <= -1000000000)
            || (f_1034_unknown_23_1 >= 1000000000))
        || ((f_1034_unknown_23_2 <= -1000000000)
            || (f_1034_unknown_23_2 >= 1000000000))
        || ((f_1034_unknown_23_3 <= -1000000000)
            || (f_1034_unknown_23_3 >= 1000000000))
        || ((f_1034_unknown_23_4 <= -1000000000)
            || (f_1034_unknown_23_4 >= 1000000000))
        || ((f_1034_unknown_23_5 <= -1000000000)
            || (f_1034_unknown_23_5 >= 1000000000))
        || ((f_1034_unknown_23_6 <= -1000000000)
            || (f_1034_unknown_23_6 >= 1000000000))
        || ((f_1034_unknown_23_7 <= -1000000000)
            || (f_1034_unknown_23_7 >= 1000000000))
        || ((f_1034_unknown_23_8 <= -1000000000)
            || (f_1034_unknown_23_8 >= 1000000000))
        || ((f_1034_unknown_23_9 <= -1000000000)
            || (f_1034_unknown_23_9 >= 1000000000))
        || ((f_1034_unknown_23_10 <= -1000000000)
            || (f_1034_unknown_23_10 >= 1000000000))
        || ((f_1034_unknown_23_11 <= -1000000000)
            || (f_1034_unknown_23_11 >= 1000000000))
        || ((f_1034_unknown_23_12 <= -1000000000)
            || (f_1034_unknown_23_12 >= 1000000000))
        || ((omega_1032_unknown_33_0 <= -1000000000)
            || (omega_1032_unknown_33_0 >= 1000000000))
        || ((omega_1032_unknown_33_1 <= -1000000000)
            || (omega_1032_unknown_33_1 >= 1000000000))
        || ((omega_1032_unknown_33_2 <= -1000000000)
            || (omega_1032_unknown_33_2 >= 1000000000))
        || ((f_1034_unknown_19_0 <= -1000000000)
            || (f_1034_unknown_19_0 >= 1000000000))
        || ((f_1034_unknown_19_1 <= -1000000000)
            || (f_1034_unknown_19_1 >= 1000000000))
        || ((f_1034_unknown_19_2 <= -1000000000)
            || (f_1034_unknown_19_2 >= 1000000000))
        || ((f_1034_unknown_19_3 <= -1000000000)
            || (f_1034_unknown_19_3 >= 1000000000))
        || ((f_1034_unknown_19_4 <= -1000000000)
            || (f_1034_unknown_19_4 >= 1000000000))
        || ((f_1034_unknown_19_5 <= -1000000000)
            || (f_1034_unknown_19_5 >= 1000000000))
        || ((f_1034_unknown_19_6 <= -1000000000)
            || (f_1034_unknown_19_6 >= 1000000000))
        || ((f_1034_unknown_19_7 <= -1000000000)
            || (f_1034_unknown_19_7 >= 1000000000))
        || ((f_1034_unknown_19_8 <= -1000000000)
            || (f_1034_unknown_19_8 >= 1000000000))
        || ((f_1034_unknown_19_9 <= -1000000000)
            || (f_1034_unknown_19_9 >= 1000000000))
        || ((f_1034_unknown_19_10 <= -1000000000)
            || (f_1034_unknown_19_10 >= 1000000000))
        || ((f_1034_unknown_19_11 <= -1000000000)
            || (f_1034_unknown_19_11 >= 1000000000))
        || ((f_1034_unknown_19_12 <= -1000000000)
            || (f_1034_unknown_19_12 >= 1000000000)) || ((A_0 <= -1000000000)
                                                         || (A_0 >=
                                                             1000000000))
        || ((B_0 <= -1000000000) || (B_0 >= 1000000000))
        || ((C_0 <= -1000000000) || (C_0 >= 1000000000))
        || ((D_0 <= -1000000000) || (D_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((L_0 <= -1000000000) || (L_0 >= 1000000000))
        || ((M_0 <= -1000000000) || (M_0 >= 1000000000))
        || ((N_0 <= -1000000000) || (N_0 >= 1000000000))
        || ((O_0 <= -1000000000) || (O_0 >= 1000000000))
        || ((P_0 <= -1000000000) || (P_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((R_0 <= -1000000000) || (R_0 >= 1000000000))
        || ((S_0 <= -1000000000) || (S_0 >= 1000000000))
        || ((T_0 <= -1000000000) || (T_0 >= 1000000000))
        || ((U_0 <= -1000000000) || (U_0 >= 1000000000))
        || ((V_0 <= -1000000000) || (V_0 >= 1000000000))
        || ((W_0 <= -1000000000) || (W_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((B_1 <= -1000000000) || (B_1 >= 1000000000))
        || ((C_1 <= -1000000000) || (C_1 >= 1000000000))
        || ((D_1 <= -1000000000) || (D_1 >= 1000000000))
        || ((E_1 <= -1000000000) || (E_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((G_1 <= -1000000000) || (G_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((M_1 <= -1000000000) || (M_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000))
        || ((B_2 <= -1000000000) || (B_2 >= 1000000000))
        || ((C_2 <= -1000000000) || (C_2 >= 1000000000))
        || ((D_2 <= -1000000000) || (D_2 >= 1000000000))
        || ((E_2 <= -1000000000) || (E_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000))
        || ((J_2 <= -1000000000) || (J_2 >= 1000000000))
        || ((K_2 <= -1000000000) || (K_2 >= 1000000000))
        || ((L_2 <= -1000000000) || (L_2 >= 1000000000))
        || ((M_2 <= -1000000000) || (M_2 >= 1000000000))
        || ((N_2 <= -1000000000) || (N_2 >= 1000000000))
        || ((O_2 <= -1000000000) || (O_2 >= 1000000000))
        || ((P_2 <= -1000000000) || (P_2 >= 1000000000))
        || ((Q_2 <= -1000000000) || (Q_2 >= 1000000000))
        || ((R_2 <= -1000000000) || (R_2 >= 1000000000))
        || ((S_2 <= -1000000000) || (S_2 >= 1000000000))
        || ((T_2 <= -1000000000) || (T_2 >= 1000000000))
        || ((U_2 <= -1000000000) || (U_2 >= 1000000000))
        || ((V_2 <= -1000000000) || (V_2 >= 1000000000))
        || ((A_3 <= -1000000000) || (A_3 >= 1000000000))
        || ((B_3 <= -1000000000) || (B_3 >= 1000000000))
        || ((C_3 <= -1000000000) || (C_3 >= 1000000000))
        || ((D_3 <= -1000000000) || (D_3 >= 1000000000))
        || ((A_4 <= -1000000000) || (A_4 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((M_0 == 0) && (L_0 == 0) && (K_0 == 0) && (J_0 == 0) && (I_0 == 0)
         && (H_0 == 0) && (G_0 == 0) && (F_0 == 0) && (E_0 == 0) && (D_0 == 0)
         && (C_0 == 0) && (B_0 == 0) && (A_0 == 0) && (S_0 == 0) && (R_0 == 0)
         && (Q_0 == 0) && (P_0 == 0) && (O_0 == 0) && (W_0 == 1) && (V_0 == 0)
         && (U_0 == 0) && (T_0 == 0) && (N_0 == 0)))
        abort ();
    f_1034_unknown_23_0 = W_0;
    f_1034_unknown_23_1 = V_0;
    f_1034_unknown_23_2 = U_0;
    f_1034_unknown_23_3 = T_0;
    f_1034_unknown_23_4 = S_0;
    f_1034_unknown_23_5 = A_0;
    f_1034_unknown_23_6 = R_0;
    f_1034_unknown_23_7 = Q_0;
    f_1034_unknown_23_8 = P_0;
    f_1034_unknown_23_9 = O_0;
    f_1034_unknown_23_10 = B_0;
    f_1034_unknown_23_11 = N_0;
    f_1034_unknown_23_12 = M_0;
    M_1 = f_1034_unknown_23_0;
    L_1 = f_1034_unknown_23_1;
    K_1 = f_1034_unknown_23_2;
    J_1 = f_1034_unknown_23_3;
    I_1 = f_1034_unknown_23_4;
    H_1 = f_1034_unknown_23_5;
    G_1 = f_1034_unknown_23_6;
    F_1 = f_1034_unknown_23_7;
    E_1 = f_1034_unknown_23_8;
    D_1 = f_1034_unknown_23_9;
    C_1 = f_1034_unknown_23_10;
    B_1 = f_1034_unknown_23_11;
    A_1 = f_1034_unknown_23_12;
    if (!1)
        abort ();
    f_1034_unknown_19_0 = M_1;
    f_1034_unknown_19_1 = L_1;
    f_1034_unknown_19_2 = K_1;
    f_1034_unknown_19_3 = J_1;
    f_1034_unknown_19_4 = I_1;
    f_1034_unknown_19_5 = H_1;
    f_1034_unknown_19_6 = G_1;
    f_1034_unknown_19_7 = F_1;
    f_1034_unknown_19_8 = E_1;
    f_1034_unknown_19_9 = D_1;
    f_1034_unknown_19_10 = C_1;
    f_1034_unknown_19_11 = B_1;
    f_1034_unknown_19_12 = A_1;
    C_2 = __VERIFIER_nondet_int ();
    if (((C_2 <= -1000000000) || (C_2 >= 1000000000)))
        abort ();
    D_2 = __VERIFIER_nondet_int ();
    if (((D_2 <= -1000000000) || (D_2 >= 1000000000)))
        abort ();
    O_2 = __VERIFIER_nondet_int ();
    if (((O_2 <= -1000000000) || (O_2 >= 1000000000)))
        abort ();
    P_2 = __VERIFIER_nondet_int ();
    if (((P_2 <= -1000000000) || (P_2 >= 1000000000)))
        abort ();
    Q_2 = __VERIFIER_nondet_int ();
    if (((Q_2 <= -1000000000) || (Q_2 >= 1000000000)))
        abort ();
    R_2 = __VERIFIER_nondet_int ();
    if (((R_2 <= -1000000000) || (R_2 >= 1000000000)))
        abort ();
    S_2 = __VERIFIER_nondet_int ();
    if (((S_2 <= -1000000000) || (S_2 >= 1000000000)))
        abort ();
    T_2 = __VERIFIER_nondet_int ();
    if (((T_2 <= -1000000000) || (T_2 >= 1000000000)))
        abort ();
    U_2 = __VERIFIER_nondet_int ();
    if (((U_2 <= -1000000000) || (U_2 >= 1000000000)))
        abort ();
    A_2 = f_1034_unknown_19_0;
    B_2 = f_1034_unknown_19_1;
    V_2 = f_1034_unknown_19_2;
    N_2 = f_1034_unknown_19_3;
    M_2 = f_1034_unknown_19_4;
    E_2 = f_1034_unknown_19_5;
    L_2 = f_1034_unknown_19_6;
    K_2 = f_1034_unknown_19_7;
    J_2 = f_1034_unknown_19_8;
    I_2 = f_1034_unknown_19_9;
    F_2 = f_1034_unknown_19_10;
    H_2 = f_1034_unknown_19_11;
    G_2 = f_1034_unknown_19_12;
    if (!
        ((L_2 == 0) && (K_2 == 0) && (J_2 == 0) && (I_2 == 0) && (H_2 == 0)
         && (G_2 == 0) && (F_2 == 0) && (E_2 == 0) && (D_2 == 0) && (C_2 == 0)
         && (R_2 == 0) && (Q_2 == 0) && (P_2 == 0) && (O_2 == 0) && (N_2 == 0)
         && (U_2 == 1) && (T_2 == 0) && (S_2 == 0) && (M_2 == 0)))
        abort ();
    omega_1032_unknown_33_0 = A_2;
    omega_1032_unknown_33_1 = B_2;
    omega_1032_unknown_33_2 = V_2;
    D_3 = __VERIFIER_nondet_int ();
    if (((D_3 <= -1000000000) || (D_3 >= 1000000000)))
        abort ();
    C_3 = omega_1032_unknown_33_0;
    B_3 = omega_1032_unknown_33_1;
    A_3 = omega_1032_unknown_33_2;
    if (!((D_3 == 1) && (!(0 == A_3))))
        abort ();
    fail_unknown_25_0 = D_3;
    A_4 = fail_unknown_25_0;
    if (!1)
        abort ();
    goto main_error;
  main_error:
    reach_error ();
  main_final:
    goto main_final;

    // return expression

}

